UNZCK(1)

NAME
unzck - decompress a file in the zchunk format

SYNOPSIS
unzck [-c | --stdout] [--dict] [-v | --verbose] file
unzck? | --help
unzck --usage
unzck --version

DESCRIPTION
The unzck utility extracts the original file from a zchunk-compressed one.

NOTE: The unzck utility will place the new file without the .zck extension in the current working directory, not in the directory where the original file resides.

The unzck utility accepts the following optional arguments:

-c, --stdout
    Extract the data to the standard output stream, do not write it to a file.

--dict
    Only extract the zstd compression dictionary.

-v, --verbose
    Verbose operation; display some diagnostic output.

?, --help
    Display program usage information and exit.

--usage
    Display brief program usage information and exit.

--version
    Display program version information and exit.

EXIT STATUS

EXAMPLES
Create (in the current directory) an uncompressed words file from a compressed one:

    unzck /mnt/xfer/words.zck

Do not create the words file, but send the contents to the standard output stream:

    unzck -c /mnt/xfer/words.zck

SEE ALSO
zck(1), zck_delta_size(1), zck_gen_zdict(1), zck_read_header(1), zckdl(1)

AUTHOR
The unzck utility was written by Jonathan Dieter <jdieter@gmail.com>. This manual page stub was written by Peter Pentchev <roam@ringlet.net>.